Bug 102906 - Composer textedits don't use custom color config
Summary: Composer textedits don't use custom color config
Status: RESOLVED FIXED
Alias: None
Product: kmail
Classification: Unclassified
Component: composer (show other bugs)
Version: 1.10.0
Platform: Slackware Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-03-31 05:20 UTC by Jeffrey Froman
Modified: 2008-07-25 16:36 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jeffrey Froman 2005-03-31 05:20:26 UTC
Version:           1.8 (using KDE KDE 3.4.0)
Installed from:    Slackware Packages
Compiler:          gcc 3.3.4 
OS:                Linux

When using custom colors, the To/Cc/Bcc field(s) in the composer window do not honor the custom color selections. The foreground and background color of the this field should adopt the users color preferences, like the other fields (From, Mail transport, Reply To and Subject) do.
Comment 1 Maciej Pilichowski 2007-11-25 22:34:25 UTC
Quite contrary -- those are just edit-boxes and To and Identity are ok, but from, mail transport and Subject are incorrectly rendered (colors are not taken from KDE settings).
Comment 2 Thomas McGuire 2008-07-24 23:16:22 UTC
Right, confirmed. Actually I think the idea of using custom colors is backwards, IMHO the config option could disappear and the KDE colors be used instead.
Comment 3 Thomas McGuire 2008-07-25 16:36:16 UTC
SVN commit 837712 by tmcguire:

Remove the ability to set custom background and foreground colors.
Reasons:
- It was buggy (the recipientseditor, mimeparttree etc didn't obey to it)
- It is already provided by the KDE colorscheme (unlike the other color options)

Also, the ApplicationPaletteChange event is no longer used, so listen to
PaletteChange events instead.

BUG:102906
BUG:167346


 M  +1 -7      configuredialog.cpp  
 M  +2 -4      csshelper.cpp  
 M  +3 -7      favoritefolderview.cpp  
 M  +1 -11     foldertreebase.cpp  
 M  +0 -6      kmail.kcfg  
 M  +1 -45     kmcomposewin.cpp  
 M  +0 -10     kmcomposewin.h  
 M  +1 -18     kmheaders.cpp  
 M  +1 -1      kmreaderwin.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=837712